xattr_set
xdiff
xattr Functions
PHP Manual

# xattr_supported

(PECL xattr >= 1.0.0)

xattr_supported — Check if filesystem supports extended attributes

### Description

bool xattr_supported ( string `$filename` [, int `$flags` = 0 ] )

This functions checks if the filesystem holding the given file supports extended attributes. Read access to the file is required.

### Parameters

`filename`

  The path of the tested file.

`flags`

  Supported xattr flags
  `XATTR_DONTFOLLOW` | Do not follow the symbolic link but operate on symbolic link itself.

### Return Values

This function returns `TRUE` if filesystem supports extended attributes, `FALSE` if it doesn't and `NULL` if it can't be determined (for example wrong path or lack of permissions to file).

### Examples

Example #1 xattr_supported() example

The following code checks if we can use extended attributes.

`<?php
$file = 'some_file';
if (xattr_supported($file)) {
/* ... make use of some xattr_* functions ... */
}
?>`

### See Also

- xattr_get() - Get an extended attribute
- xattr_list() - Get a list of extended attributes

xattr_set
xdiff
xattr Functions
PHP Manual